Anchor Choice for symbols
Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Symbology

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 12131
Description

For SVG symbols (later potentially also truetype symbols) it would be great if one could select an anchor point:

center (default)
- top-center

- top-right

- right

bottom-right

- bottom-center

bottom-left

- left

The user should have a GUI where he can select the anchor point (similar to the positioning dialogue in the print composer)

History

#1 - 2010-06-13 09:47 AM - Andreas Neumann

the arbitrary offset part is already implemented in the new symbology. The anchor points would only be an additional convenience. | personally could also
live with the existing solution - others may want to have the predefined anchor points - but it would be good to have both: the anchor points and the arbitrary
offsets as they exist now.

#2 - 2011-12-16 01:58 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2012-04-15 10:12 AM - Giovanni Manghi
- Target version changed from Version 1.7.4 to Version 2.0.0

#4 - 2012-10-06 02:34 AM - Pirmin Kalberer
- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2014-03-03 07:07 AM - Andreas Neumann
- Pull Request or Patch supplied set to No
- Status changed from Open to Closed

This is now implemented in QGIS 2.2
